# Partially updates a setting with the specified ID. This method will patch an existing setting with the specified ID, using the HTTP PATCH specification. Endpoint: PATCH /settings/{tenantId} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Request fields (application/json): - `op` (string, required) The operation Enum: "add", "copy", "move", "remove", "replace", "test" - `path` (string, required) The JSON path - `value` (string) ## Response 200 fields (application/json): - `allow_echecks_when_paying_open_invoices` (boolean) If true, eChecks are allowed to pay open invoices - `contact_role_permissions` (array) The contact roles that are allowed to manage this scholarship - `contact_role_permissions.make_payments` (boolean) This role can make payments for the organization - `contact_role_permissions.role_id` (string) The contact role - `contact_role_permissions.view_financial_history` (boolean) This role can view the financial history of an organization - `default_customer_statement_template_id` (string) The default customer statement ID to use - `default_merchant_account_id` (string) The default merchant account to use when none is specified - `disable_saving_credit_cards_when_paying_open_invoices` (boolean) - `enable_publicly_payable_invoices` (boolean) If set, customers are able to share invoices and pay for them without logging in - `gl_information_guidance` (string) HTML/text to display to administrators to help them choose the appropriate G/L information - `modify_gl_information_during_product_editing` (string) Whether or not users should be able to see/modify G/L information while editing products Enum: "disabled", "optional", "required" - `notes` (string) - `payment_processor` (string) Payment processor Enum: "legacy", "payrix", "stripe" - `prompt_for_auto_renewal_when_paying_membership_invoices` (string) If set, users who pay for membership packages in the portal are given the option to auto renew IF and only if they do not have it set already Enum: "disabled", "opt in", "opt out" - `publicly_payable_invoice_options` (object, required) - `publicly_payable_invoice_options.allowed_payment_methods` (string, required) Enum: "both", "credit card", "electronic check" - `publicly_payable_invoice_options.site_id` (string, required) The portal site to use for sharing - `stripe_options` (object, required) - `stripe_options.enable_cash_app` (boolean) CashApp is enabled - `stripe_options.enable_link` (boolean) If set, the 1-click link payment is enabled - `stripe_options.enable_paypal` (boolean) Enable PayPal - `stripe_options.mode` (string, required) Defines the mode; when multiple accounts are used, the system stores transactions on the platform account Enum: "multiple accounts", "single account" - `stripe_options.primary_stripe_account_id` (string, required) The primary account to use - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields